Subject: Re: latest tree build failure -- cpm uart & gpio

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Jul 2008 08:05:09 +1000

On Tue, 2008-07-22 at 18:53 +0400, Anton Vorontsov wrote:
> On Tue, Jul 22, 2008 at 08:54:16AM -0500, Kumar Gala wrote:
> > can someone look at the following compile failure in linus's tree.  I'm 
> > guessing part of this has to do with Alan's tty changes (and might  
> > already be addressed?).
> >
> > include/asm-generic/gpio.h:131: error: implicit declaration of function 
> > 'gpio_get_value'
> > include/asm-generic/gpio.h:137: error: implicit declaration of function 
> > 'gpio_set_value'
> 
> I think this patch should help:
> 
> [OF] of_gpio: should use new <linux/gpio.h> header
> http://patchwork.ozlabs.org/linuxppc/patch?id=18750
> 
> David, can you please Ack it? See Benjamin's mail:
> http://ozlabs.org/pipermail/linuxppc-dev/2008-July/060109.html
> 

Hrm.. I though I had that one in my latest batch. In fact, I just
checked and it got merged.

Ben.